3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php $scripts="php|"; echo substr($scripts,strlen($scripts)-2,1); if(substr($scripts,strlen($scripts)-2,1)=="|") $scripts=substr($scripts,0,strlen($scripts)-1); echo $scripts;
Output for 4.3.0 - 5.6.28, hhvm-3.10.0 - 3.12.0, 7.0.0 - 7.1.0
pphp|